Bug 485918 - Brasero nautilus-extension and nautilus-cd-burner shouldn't be installed at the same time
Brasero nautilus-extension and nautilus-cd-burner shouldn't be installed at t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 08:51 EST by Tomáš Bžatek
Modified: 2015-03-03 17:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 12:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DVD creator screenshot (23.89 KB, image/png)
2009-02-17 08:53 EST, Tomáš Bžatek
no flags Details

  None (edit)
Description Tomáš Bžatek 2009-02-17 08:51:48 EST
Description of problem:
Brasero nautilus extension and nautilus-cd-burner shouldn't be installed at the same time.

Version-Release number of selected component (if applicable):
  nautilus-cd-burner-2.25.3-1.fc11.x86_64
  brasero-2.25.90-2.fc11.x86_64
  brasero-libs-2.25.90-2.fc11.x86_64

How reproducible:
Put a blank media in drive and open that folder in Nautilus


Actual results:
Check the attached screenshot. Both n-c-b and brasero info bars are visible (though both are fully functional).

Expected results:
Only one burning extension installed at the same time.

Additional info:
We can add mutual exclusion dependencies in n-c-b and brasero only when Brasero nautilus extension is splitted to a subpackage.
Comment 1 Tomáš Bžatek 2009-02-17 08:53:45 EST
Created attachment 332217 [details]
DVD creator screenshot
Comment 2 Denis Leroy 2009-02-24 02:32:49 EST
Hi Tomáš,

I'm actually looking for a co-maintainer for brasero, so let me know if you're interested.

How were you thinking to implement mutual exclusion dependencies ?
Comment 3 Tomáš Bžatek 2009-03-02 11:59:44 EST
Thanks, but I feel I have enough of my own work :-)

I see the nautilus extension is already split-out (brasero-nautilus), that's good, but I noticed that this extension can be turned off in Brasero Plugins dialog. If we put those mutual exclusion dependencies in place, we should also make sure that user is unable to turn the plugin off so we have at least one burning extension always active. Or, patch nautilus-cd-burner to check whether the brasero extension is disabled (via gconf?) so that it takes priority when active.

TODO: We should keep an eye on comps as well.
Comment 4 Denis Leroy 2009-04-14 12:08:46 EDT
Okay, I think this should be fixed now in rawhide, both thanks to the 2.26.0 update as well as 'brasero-nautilus' now being correctly part of comps and being installed by default. 

So make sure the brasero-nautilus package is installed. If both 'brasero-nautilus' and 'nautilus-cd-burner' are installed, brasero seems to take precedence. A default kickstart Gnome install should only install the former. 

Also, I believe it's no longer possible to disable the nautilus integration through the plugins dialog.

Let me know if you stil run into other issues, feel free to reopen if you do.

Note You need to log in before you can comment on or make changes to this bug.